﻿using System;
using System.Text.RegularExpressions;
using Zennolab.CommandCenter;

namespace example
{
	internal class Step1
	{
		public static int Execute(Instance instance)
		{
			// this is input string
			string input = "I love ZP. I love ZP :)";
			// this is regular expression
			string regular_expression = @"ZP";
			// create a new Regex object for regular expression
			Regex rgx = new Regex(regular_expression, RegexOptions.IgnoreCase);
			// collection of all matches
			MatchCollection all = rgx.Matches(input);
			
			var str = String.Empty;
			foreach (Match m in all) str += m.Value + " in position: " + (m.Index+1).ToString() + " "; 
			
			// Go to yahoo.com
			Tab tb = instance.MainTab;
			if ((tb.IsVoid) || (tb.IsNull)) return -1;
			if (tb.IsBusy) tb.WaitDownloading();
			tb.Navigate("yahoo.com");
			if (tb.IsBusy) tb.WaitDownloading();

			HtmlElement he;
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("p");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildById("p_13838465-p");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.SetValue(str, true);
			
			return 0;
		}
	}
}
